/* toolbox.c contains the function for computing
 * the fft and ifft
 */

#ifndef toolbox
#define toolbox

void do_fft_real(fftwf_complex *fft_out,
		   float *data_in, size_t nx , size_t ny);
void do_fft(fftwf_complex *fft_out,
		   fftwf_complex *data_in, size_t nx , size_t ny);
void do_ifft_real(fftwf_complex *fft_in,
		    float *data_out, size_t nx , size_t ny);
void do_ifft(fftwf_complex *fft_in,
		    fftwf_complex *data_out, size_t nx , size_t ny);
void pca( float M_eigen_vectors[3][3], float data_in_rgb_mean[3],
		 float **data_in_rgb, size_t nx, size_t ny);

#endif